import instance from "@/utils/request";
// 测试登录
export const testLogin = params => instance.post("/user/smsLogin", params);
export const getSmsCode = params => instance.postForm("/user/getSmsCode", params);

// 新华登录
export const xinhuaMpLogin = params => instance.post("/user/appUser/xinhua/mpLogin", params);

// B端-获取登录用户
export const getLoginUserApi = params => instance.post("/b/user/getLoginUser", params);
// 保存用户信息
export const saveBasicInfoApi = params => instance.post("/b/user/save", params);

// 注册企业信息
export const registerCompanyApi = params => instance.post("/b/company/register", params);
// 企业申诉
export const companyAppealApi = params => instance.post("/b/company/appeal", params);
// 重新注册企业信息
export const resubmitCompanyApi = params => instance.post("/company/register/resubmit", params);

// 获取用户简历
export const getUserResumeApi = () => instance.post("/personal/user/resume/get");

// 获取投递列表
export const getApplicationListApi = params => instance.post("/job/getApplicationList", params);
// 获取面试列表
export const getInterviewListApi = params => instance.post("/job/getInterviewList", params);

// 获取公司信息及审核信息
export const getCompanyInfoApi = params => instance.post("/b/company/info", params);
// 更新企业信息
export const saveCompanyInfoApi = params => instance.post("/b/company/update", params);

//添加反馈信息
export const feedbackAdd = params => instance.post("/feedback/add/business", params);

//我的反馈列表
export const feedbackList = params => instance.post("/feedback/list", params);
//获取公司申诉信息
export const appealInfo = params => instance.post("/company/appeal/info", params);

//营业执照ocr
export const ocrLicense = params => instance.postForm("/ocr/license", params);
//检查企业是否存在
export const companyCheck = params => instance.post("/b/company/check", params);
//获取用户审核或申诉信息
export const companyReviewInfo = params => instance.post("/b/company/review/info", params);
//更新审核申诉
export const companyReviewUpdate = params => instance.post("/b/company/review/update", params);

//根据id获取反馈信息
export const feedbackById = params => instance.post(`/feedback/${params}`);
